Node('fi.psi.ch',
     'ILL furnace',
     'tcp://5000',
     )

Mod('htr_io',
    'frappy_psi.tdkpower.IO',
    'powersupply communicator',
    uri='serial:///dev/ttyUSB0?baudrate=9600',
    )

Mod('htr',
    'frappy_psi.tdkpower.Power',
    'heater power',
    io='htr_io',
    )

Mod('out',
    'frappy_psi.tdkpower.Output',
    'heater output',
    io='htr_io',
    maxvolt=8,
    maxcurrent=200,
    )

Mod('T_main',
    'frappy_psi.ionopimax.CurrentInput',
    'sample temperature',
    addr='ai4',
    valuerange=(0, 1372),
    value=Param(unit='degC'),

    )

Mod('T_extra',
    'frappy_psi.ionopimax.CurrentInput',
    'extra temperature',
    addr='ai3',
    valuerange=(0, 1372),
    value=Param(unit='degC'),

    )

Mod('T_wall',
    'frappy_psi.ionopimax.VoltageInput',
    'furnace wall temperature',
    addr='av2',
    rawrange=(0, 1.5),
    valuerange=(0, 150),
    value=Param(unit='degC'),
    )

Mod('T',
    'frappy_psi.furnace.PI',
    'controlled Temperature',
    input='T_htr',
    output='htr',
    relais='relais',
    p=2,
    i=0.01,
    )

# Mod('interlocks',
#     'frappy_psi.furnace.Interlocks',
#     'interlock parameters',
#     input='T_htr',
#     wall_T='T_wall',
#     vacuum='p',
#     control='T',
#     wall_limit=50,
#     vacuum_limit=0.1,
#     )

# Mod('p',
#     'frappy_psi.ionopimax.VoltageInput',
#     'pressure',
#     addr='av?',
#     rawrange=(0, 1.5),
#     valuerange=(0, 150),
#     value=Param(unit='degC'),
#     )


# Mod('p_io',
#     'frappy_psi.pfeiffer.IO',
#     'pressure io',
#     uri='serial:///dev/ttyUSBlower',
#     )
#
# Mod('p',
#     'frappy_psi.pfeiffer.Pressure',
#     'pressure reading',
#     io='p_io',
#     )
